// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <iostream>
using namespace std;

class Vehicle {
public:
  virtual ~Vehicle();
};

Vehicle::~Vehicle()
{ }

class Car : public Vehicle {
public:
  virtual void startEngine() throw();
};

void Car::startEngine() throw()
{ cout << "starting a Car...\n"; }

class NuclearSubmarine : public Vehicle {
public:
  virtual void launchMissile();
};

void NuclearSubmarine::launchMissile() throw()
{ cout << "starting a War...\n"; }
