// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <iostream>
#include <exception>
using namespace std;

int main()
{
  try {
        // The code that would normally go into main() goes here
    return 0;
  }
  catch (const exception& e) {
    // Oh No! somehow an exception leaked.
    cerr << "uncaught exception: " << e.what() << '\n';
  }
  catch (...) {
    cerr << "an exception didn't inherit from class exception!\n"
         << "contact the company at 1-800-BAD-BUGS\n";
  }
  return 1;
}
