// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

namespace People {
  int fred = 2;
  int wilma = 3;
}

void f() throw()
{
  int i = People::fred + People::wilma;
}

void f2() throw()
{
  using People::fred;      // use People's fred
  int i = fred + People::wilma;
}

void f3() throw()
{
  using namespace People;   // declare all names from People for local access
  int i = fred + wilma;
}
