// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Battery {
public:
  Battery(int initialCharge) throw();
  void drain() throw();
protected:
  int charge_;
};

Battery::Battery(int initialCharge) throw()
: charge_(initialCharge) { }

void Battery::drain() throw()
{
  charge_ -= 5;
  if (charge_ < 0)
    charge_ = 0;
}

int main()
{
  Battery yourDiscountBattery(20); //a Battery object
  Battery myNameBrandBattery(30);  //another Battery object
}
