// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Base {
public:
  virtual ~Base() throw();
};

class Derived : public Base {
  // ...
};

int main()
{ }

class Derived2 : public Base {
public:
  //...
private:
  virtual void thisDoesNothing() throw();
};

// this goes in exactly one source file, such as Derived2.cpp
void Derived2::thisDoesNothing() throw()
{ }
