// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#ifdef UNSAFE
  template<class T> inline const T& min(const T& x, const T& y)
  { return x < y ? x : y; }
#else
  template<class T> inline T min(const T& x, const T& y)
  { return x < y ? x : y; }
#endif
