// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

//#include "Car.hpp"
// Pretend file "Car.hpp" contains the following (this is from FAQ 2.19):
class Car {
public:
  Car();             // Declare a constructor
  Car(int initRadioFreq, int horsepower); // Declare another constructor
  // ...
protected:
  bool isRunning_;
  bool radioOnAM_;
  int  radioFreq_;
  int  horsepower_;
};

Car::Car()
  { isRunning_=false; radioOnAM_=false; radioFreq_=0; horsepower_=0; }

void f()
{
  Car a;

  for (int i = 0; i < 10; ++i) {
    Car b;  // 1: create a Car object on each iteration
    // ...
  }         // 2: each iteration's b dies here

  // ...
}           // 3: object a dies here

int main()
{
  f();
}
