// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Bird {
public:

  int altitude() const;
    // PROMISE: Returns this Bird's current altitude

  virtual void fly();
    // PROMISE: altitude() will return a value > 0

  virtual ~Bird();
};

Bird::~Bird()
{ }
