// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <iostream>
using namespace std;

void swap(int& x, int& y) throw()
{
  int temp = x;
  x = y;
  y = temp;
}

int main()
{
  int i = 5;
  int j = 7;
  cout << "before: i=" << i << ", j=" << j << '\n';
  swap(i, j);
  cout << "after:  i=" << i << ", j=" << j << '\n';
}
