// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Stack {
public:
  int pop();             //mutator
  int numElems() const;  //inspector
};

void sample(const Stack& s) throw()
{
  s.numElems();  // ok: a const Stack can be inspected

  #ifdef GENERATE_ERROR
    s.pop();     // Error: a const Stack cannot be mutated
  #endif
}
