// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Base {
public:
  Base() throw();
  virtual ~Base() throw() = 0;
};

inline Base::Base()  throw() { }
inline Base::~Base() throw() { }  // Defined even though pure virtual

class Derived : public Base {
public:
  Derived() throw();
};

Derived::Derived() throw() : Base() { }

int main()
{ Derived d; }
