// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

template<class T>
void swap(T& x, T& y)
{
  T temp = x;
  x = y;
  y = temp;
}
#include <string>
//using namespace std;

int main()
{
  int    i, j;       /*...*/  swap(i,j);  //swap(int&,   int&)
  char   a, b;       /*...*/  swap(a,b);  //swap(char&,  char&)
  float  c, d;       /*...*/  swap(c,d);  //swap(float&, float&)
  std::string s, t;  /*...*/  swap(s,t);  //swap(string&,string&)
}
