// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

//FAQ: 36.07: Can C++ I/O (<iostream>) be mixed with C I/O (<stdio.h>)?
#include <iostream>
#include <cstdio>
using namespace std;

int main()
{
  ios::sync_with_stdio();  // No I/O should occur before this line
  // ...
}
